package repo

import (
	"context"
	"voucher/internal/biz/bo"
)

type MultiNotifyLogRepo interface {
	Create(ctx context.Context, req *bo.MultiNotifyLogBo) (*bo.MultiNotifyLogBo, error)
	GetByID(ctx context.Context, id int64) (*bo.MultiNotifyLogBo, error)
	ExistsSuccessByDataIDAndTransactionID(ctx context.Context, multiNotifyDataID int64, transactionID string) (bool, error)
	Success(ctx context.Context, id int64, response string) error
	Fail(ctx context.Context, id int64, remark string) error
}
